Name: kdegraphics4
Summary: K Desktop Environment
Version: 4.0.2
Epoch: 2
Group: Graphical desktop/KDE
License: GPL
URL: http://www.kde.org
Release: %mkrel 1
Source:	ftp://ftp.kde.org/pub/kde/stable/%version/src/kdegraphics-%version.tar.bz2
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires: jpeg-devel 
BuildRequires: png-devel 
BuildRequires: libimlib-devel 
BuildRequires: libtiff-devel
BuildRequires: zlib-devel 
BuildRequires: bzip2-devel
BuildRequires: gettext texinfo
BuildRequires: kdelibs4-devel
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: openssl-devel 
BuildRequires: libsane-devel 
BuildRequires: OpenEXR-devel
BuildRequires: libtiff-progs
BuildRequires: gphoto2-devel
BuildRequires: fontconfig-devel
BuildRequires: libpoppler-qt4-devel
BuildRequires: mesaglut-devel
BuildRequires: djvulibre-devel
BuildRequires: libchm-devel
BuildRequires: libgs-devel
BuildRequires: libexiv-devel
BuildRequires: qimageblitz-devel
Requires: %name-core
Requires: kde4-ksnapshot
Obsoletes: kde4-kfax < 2:3.93.0-0.714385.1
Requires: kde4-kcolorchooser
Requires: kde4-okular
Requires: kde4-gwenview
Requires: kde4-kruler
Requires: kde4-kolourpaint
Requires: kde4-kgamma

%description
Graphical tools for the K Desktop Environment.
kdegraphics is a collection of graphic oriented applications

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package core
Summary: Core files for kdegraphics
Group: Graphical desktop/KDE	
Requires: kdelibs4-core
Requires: libgphoto-hotplug
Obsoletes: kdegraphics4-common < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kview < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kiconedit < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kpovmodeler < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-ksvg < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kooka < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-mrmlsearch < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kcoloredit < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kview < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kpovmodeler < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-ksvg < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kooka < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-common < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kscan1 < 2:3.93.0-0.714385.1

%description core
Common files for kdegraphics

%files core
%defattr(-,root,root)
%_kde_libdir/kde4/gsthumbnail.so
%_kde_libdir/kde4/svgpart.so
%_kde_appsdir/svgpart/svgpart.rc
%_kde_datadir/kde4/services/svgpart.desktop
%_kde_libdir/strigi/*
%_kde_datadir/kde4/services/gsthumbnail.desktop
%_kde_libdir/kde4/kscanplugin.so
%_kde_iconsdir/*/*/*/palette_*
%_kde_datadir/kde4/services/scanservice.desktop

#------------------------------------------------	

%define libokularcore %mklibname okularcore 1

%package -n %libokularcore
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdegraphics40-okular < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kghostviewlib1 <  2:3.95.2-0.734790.2

%description -n %libokularcore
KDE 4 core library.

%post -n %libokularcore -p /sbin/ldconfig
%postun -n %libokularcore -p /sbin/ldconfig

%files -n %libokularcore
%defattr(-,root,root)
%_kde_libdir/libokularcore.so.*

#------------------------------------------------

%define libspectreOkular %mklibname spectreOkular 1

%package -n %libspectreOkular
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libspectreOkular
KDE 4 core library.

%post -n %libspectreOkular -p /sbin/ldconfig
%postun -n %libspectreOkular -p /sbin/ldconfig

%files -n %libspectreOkular
%defattr(-,root,root)
%_kde_libdir/libspectreOkular.so.*

#-----------------------------------------------------------------------------

%package -n kde4-kgamma
Summary: kgamma color profiling
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description -n kde4-kgamma
kgamma color profiling

%files -n kde4-kgamma
%defattr(-,root,root)
%_kde_datadir/kde4/services/kgamma*
%_kde_appsdir/kgamma
%_kde_iconsdir/*/*/*/kgamma*
%_kde_libdir/kde4/*_kgamma.*

#-----------------------------------------------------------------------------

%package -n kde4-kamera
Summary: kamera ioslave
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-kamera < 2:3.93.0-0.714385.1

%description -n kde4-kamera
Dialog KDE base widgets

%files -n kde4-kamera
%defattr(-,root,root)
%dir %_kde_docdir/HTML/en/kamera
%doc %_kde_docdir/HTML/en/kamera/*
%_kde_libdir/kde4/*_kamera.*
%_kde_datadir/kde4/services/camera*
%_kde_datadir/kde4/services/kamera*

#-----------------------------------------------------------------------------

%package -n kde4-okular
Summary: Dialog KDE base widgets
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-okular < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kpdf < 2:3.93.0-0.714385.1
Obsoletes: kdegraphics4-kdvi < 2:3.93.0-0.714385.1
Obsoletes: kde4-kghostview < 2:3.95.2-0.734790.2
Conflicts: %name-devel < 2:3.95.2-0.734790.2

%description -n kde4-okular
Dialog KDE base widgets

%files -n kde4-okular
%defattr(-,root,root)
%_kde_bindir/okular
%_kde_bindir/xf86gammacfg
%_kde_libdir/kde4/okularGenerator_*
%_kde_libdir/kde4/okularpart.so
%_kde_libdir/kde4/kio_msits.so
%_kde_libdir/libspectreOkular.so
%_kde_datadir/applications/kde4/okular*
%_kde_appsdir/okular
%_kde_datadir/config.kcfg/okular.kcfg
%_kde_datadir/config/okular.knsrc
%_kde_datadir/kde4/services/libokularGenerator_*
%_kde_datadir/kde4/services/okular*
%_kde_datadir/kde4/services/msits*
%_kde_datadir/kde4/servicetypes/okularGenerator.desktop
%dir %_kde_docdir/HTML/en/okular
%doc %_kde_docdir/HTML/en/okular/*

#------------------------------------------------	

%define libgwenviewlib %mklibname gwenviewlib 1

%package -n %libgwenviewlib
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libgwenviewlib
KDE 4 core library.

%post -n %libgwenviewlib -p /sbin/ldconfig
%postun -n %libgwenviewlib -p /sbin/ldconfig

%files -n %libgwenviewlib
%defattr(-,root,root)
%_kde_libdir/libgwenviewlib.so.*

#-----------------------------------------------------------------------------

%package -n kde4-gwenview
Summary: Dialog KDE base widgets
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-gwenview < 2:3.93.0-0.714385.1

%description -n kde4-gwenview
Dialog KDE base widgets

%files -n kde4-gwenview
%defattr(-,root,root)
%_kde_bindir/gwenview
%_kde_libdir/kde4/gvpart.so
%_kde_appsdir/gvpart/gvpart.rc
%_kde_appsdir/gwenview/gwenviewui.rc
%_kde_datadir/kde4/services/gvpart.desktop
%_kde_datadir/applications/kde4/gwenview.desktop
%_kde_iconsdir/*/*/*/gwenview*
%_kde_docdir/*/*/gwenview

#-----------------------------------------------------------------------------

%package -n kde4-kcolorchooser
Summary: Dialog KDE base widgets
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: kdegraphics4-kcolorchooser < 2:3.93.0-0.714385.1

%description -n kde4-kcolorchooser
Dialog KDE base widgets

%files -n kde4-kcolorchooser
%defattr(-,root,root)
%_kde_bindir/kcolorchooser
%_kde_datadir/applications/kde4/kcolorchooser.desktop
%_kde_iconsdir/*/*/*/kcolorchooser*

#-----------------------------------------------------------------------------

%define libkolourpaint4_lgpl %mklibname kolourpaint4_lgpl 4

%package -n %libkolourpaint4_lgpl
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}kdegraphics40-kghostview < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kolourpaint4_lgpl4 < 2:3.94.0
Obsoletes: %{_lib}kolourpaint_lgpl4 < 2:3.94.0

%description -n %libkolourpaint4_lgpl
KDE 4 core library.

%post -n %libkolourpaint4_lgpl -p /sbin/ldconfig
%postun -n %libkolourpaint4_lgpl -p /sbin/ldconfig

%files -n %libkolourpaint4_lgpl
%defattr(-,root,root)
%_kde_libdir/libkolourpaint4_lgpl.so.*

#-----------------------------------------------------------------------------

%package -n kde4-kolourpaint
Summary: Dialog KDE base widgets
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-kolourpaint < 2:3.93.0-0.714385.1

%description -n kde4-kolourpaint
Dialog KDE base widgets

%files -n kde4-kolourpaint
%defattr(-,root,root)
%_kde_bindir/kolourpaint4
%_kde_datadir/applications/kde4/kolourpaint4.desktop
%_kde_appsdir/kolourpaint4
%_kde_iconsdir/hicolor/*/apps/kolourpaint4.*

%dir %_kde_docdir/HTML/en/kolourpaint4
%doc %_kde_docdir/HTML/en/kolourpaint4/*

#-----------------------------------------------------------------------------

%package -n kde4-kruler
Summary: Dialog KDE base widgets
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-kruler < 2:3.93.0-0.714385.1

%description -n kde4-kruler
Dialog KDE base widgets

%files -n kde4-kruler
%defattr(-,root,root)
%_kde_bindir/kruler
%_kde_datadir/applications/kde4/kruler.desktop
%_kde_appsdir/kruler
%_kde_iconsdir/*/*/*/kruler*
%_kde_docdir/*/*/kruler

#-----------------------------------------------------------------------------

%package -n kde4-ksnapshot
Summary: Dialog KDE base widgets
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-ksnapshot < 2:3.93.0-0.714385.1

%description -n kde4-ksnapshot
Dialog KDE base widgets

%files -n kde4-ksnapshot
%defattr(-,root,root)
%_kde_bindir/kbackgroundsnapshot
%_kde_bindir/ksnapshot
%_kde_datadir/applications/kde4/ksnapshot.desktop
%_kde_iconsdir/*/*/*/ksnapshot*
%_datadir/dbus-1/interfaces/org.kde.ksnapshot.xml
%_kde_docdir/*/*/ksnapshot

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for kdegraphics
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel
Requires: %libokularcore = %epoch:%version-%release
Requires: %libgwenviewlib = %epoch:%version-%release
Requires: %libspectreOkular = %epoch:%version-%release
Obsoletes: %{_lib}kdegraphics40-ksvg-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kview-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kooka-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kpovmodeler-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-common-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-kghostview-devel < 2:3.93.0-0.714385.1
Obsoletes: %{_lib}kdegraphics40-okular-devel < 2:3.93.0-0.714385.1
Conflicts: kde4-okular < 2:3.95.2-0.734790.2

%description  devel
This package contains header files needed if you wish to build applications
based on kdegraphics.

%files devel
%defattr(-,root,root)
%_kde_libdir/libgwenviewlib.so
%_kde_libdir/libkolourpaint4_lgpl.so
%_kde_libdir/libokularcore.so
%_kde_prefix/include/*
%_kde_appsdir/cmake/*/*

#----------------------------------------------------------------------

%prep
%setup -q -n kdegraphics-%version

%build
%cmake_kde4

%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.2-1mdv2008.1
+ Revision: 177441
- New upstream bugfix release 4.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Sun Feb 10 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.1-1mdv2008.1
+ Revision: 164785
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE Team

* Tue Jan 08 2008 Helio Chissini de Castro <helio@mandriva.com> 2:4.0.0-1mdv2008.1
+ Revision: 146881
- Update for stable 4.0.0
- kgamma added

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.752259.1mdv2008.1
+ Revision: 137405
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.747032.2mdv2008.1
+ Revision: 119949
- Fix Requires on devel package

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.97.1-0.747032.1mdv2008.1
+ Revision: 117092
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.1-0.742895.3mdv2008.1
+ Revision: 114104
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.1-0.740289.3mdv2008.1
+ Revision: 111941
- Obsoletes kolourpaint_lgpl4

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.1-0.740289.1mdv2008.1
+ Revision: 111518
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.96.0-0.737148.1mdv2008.1
+ Revision: 109642
- KDE4 RC1
- Obsolete kghostview and libkghostviewlib on Okular

* Tue Nov 13 2007 Funda Wang <fundawang@mandriva.org> 2:3.95.2-0.734790.2mdv2008.1
+ Revision: 108427
- move libspectreOkular.so into okular package.

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.95.2-0.734790.1mdv2008.1
+ Revision: 107574
- New snapshot
  Kghostview have been removed from the package ( we have now to use Okular

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.95.1-0.731764.1mdv2008.1
+ Revision: 104990
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.94.1-0.730647.1mdv2008.1
+ Revision: 103695
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.94.1-0.729164.1mdv2008.1
+ Revision: 102129
- New snapshot

* Fri Oct 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.94.0-0.726788.1mdv2008.1
+ Revision: 100207
- Kde 4 Beta 3

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 2:3.93.0-0.714385.1mdv2008.0
+ Revision: 91976
- Fixing Release and Obsoletes tags. Bumping Epoch.
- Changing Obsoletes tags and updating tarball to a newer revision.

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.93.0-1mdv2008.0
+ Revision: 79318
- Update with revision 708268
- Update with revision 706376

* Thu Aug 02 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.695740.1mdv2008.0
+ Revision: 58323
- Update from revision 695740

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New snapshot

* Thu Jun 28 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.91-0.681050.1mdv2008.0
+ Revision: 45393
- Update from svn for post 3.91

* Wed Jun 27 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.680918mdv2008.0
+ Revision: 44966
- Update from svn and recompile against current kdelibs4

* Tue Jun 26 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.680312mdv2008.0
+ Revision: 44416
- Update for revision 676706
- Make tv heppy ( obsoletes )

* Mon Jun 18 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.90.2-0.676706mdv2008.0
+ Revision: 40877
- Habemus Okular :-)
  First working ( more or less ) package from kde4 kdegraphics

* Fri May 04 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.3mdv2008.0
+ Revision: 22426
- new snapshot

* Fri Apr 20 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070418.3mdv
+ Revision: 16251
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.3mdv2007.1
+ Revision: 141394
- new snapshot

* Wed Feb 28 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.3mdv2007.1
+ Revision: 127246
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- Fix provides

* Tue Jan 23 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070123.2mdv2007.1
+ Revision: 112261
- new snapshot
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107027
- F**k rebuild bot
- Update

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 104006
- Update from branch

* Thu Dec 28 2006 Laurent Montel <lmontel@mandriva.com> 1:3.80-2mdv2007.1
+ Revision: 102281
- Import kdegraphics4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com>
- KDE4.0

